Page MenuHomePhabricator

[Regression pre-wmf.13] WikimediaUI theme for disabled buttons uses the wrong colour for the border
Closed, ResolvedPublic

Description

A recent update on OOUI results in a border added to disabled buttons which does not align with their design in M101. It is not clear whether that was an intended result previously discussed or just a glitch.

I included some cases illustrating how those look:

(Credits to @Petar.petkovic for catching the issue)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2017, 2:44 PM

We need to get some visual diffing in place soonish (*headache*). It resulted from bringing WikimediaUI Base to be part of OOjs UI in https://gerrit.wikimedia.org/r/#/c/369703/

Change 369977 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] WikimediaUI theme: Fix regression on disabled border

https://gerrit.wikimedia.org/r/369977

Change 369977 merged by jenkins-bot:
[oojs/ui@master] WikimediaUI theme: Fix regression on disabled border

https://gerrit.wikimedia.org/r/369977

Change 369994 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] OOjs UI: Bring forward upstream fix for WikimediaUI colour issue

https://gerrit.wikimedia.org/r/369994

Jdforrester-WMF renamed this task from Disabled buttons to [Regression pre-wmf.13] WikimediaUI theme for disabled buttons uses the wrong colour for the border.Aug 3 2017, 7:42 PM
Jdforrester-WMF assigned this task to Volker_E.
Jdforrester-WMF triaged this task as High priority.

Change 369994 merged by jenkins-bot:
[mediawiki/core@master] OOjs UI: Bring forward upstream fix for WikimediaUI colour issue

https://gerrit.wikimedia.org/r/369994

matmarex closed this task as Resolved.Aug 4 2017, 11:39 AM
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: matmarex.

Change 370469 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[wikimedia-ui-base@master] Replace wrong border-color-base--disabled value

https://gerrit.wikimedia.org/r/370469

Volker_E reopened this task as Open.Aug 7 2017, 2:22 PM

Re-opened to also capture WikimediaUI Base code adaption.

Change 370469 merged by jenkins-bot:
[wikimedia-ui-base@master] Replace wrong border-color-base--disabled value

https://gerrit.wikimedia.org/r/370469

Volker_E moved this task from Unsorted to OOUI on the UI-Standardization board.Aug 15 2017, 9:43 PM
Volker_E closed this task as Resolved.Aug 22 2017, 11:38 PM
Volker_E moved this task from Backlog to OOjs-UI-0.22.5 on the OOUI board.
Volker_E edited projects, added OOUI (OOjs-UI-0.22.5); removed OOUI.
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)